Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model
Interface VControl

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainedElement, VElement

All Known Subinterfaces:
  VCustomControl, VTableControl

All Known Implementing Classes:
  VControlImpl, VCustomControlImpl, VTableControlImpl

    public interface VControl

extends VContainedElement

A representation of the model object 'Control'.

The following features are supported:

- `Label Alignment`
- `Domain Model Reference`

Since:
  1.2
See Also:
  `VViewPackage.getControl()`

Method Summary
`VDomainModelReference` | `getDomainModelReference()` Returns the value of the 'Domain Model Reference' containment reference.
`LabelAlignment` | `getLabelAlignment()` Returns the value of the 'Label Alignment' attribute.
`void` | `setDomainModelReference(org.eclipse.emf.ecore.EStructuralFeature feature)` Sets the `VDomainModelReference` based on the provided `EStructuralFeature`.
`void` | `setDomainModelReference(org.eclipse.emf.ecore.EStructuralFeature feature, Collection<org.eclipse.emf.ecore.EReference> referencePath)` Sets the `VDomainModelReference` based on the provided `EStructuralFeature` and the collection of `EReferences`.
`void` | `setDomainModelReference(VDomainModelReference value)` Sets the value of the '`Domain Model Reference`' containment reference.
`void` | `setLabelAlignment(LabelAlignment value)` Sets the value of the '`Label Alignment`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDomainModelReference

    VDomainModelReference getDomainModelReference()

  Returns the value of the 'Domain Model Reference' containment reference.

  If the meaning of the 'Domain Model Reference' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model Reference' containment reference.
  See Also:
    `setDomainModelReference(VDomainModelReference)`, `VViewPackage.getControl_DomainModelReference()`

### setDomainModelReference

    void setDomainModelReference(VDomainModelReference value)

  Sets the value of the '`Domain Model Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Model Reference' containment reference.
  See Also:
    `getDomainModelReference()`

### getLabelAlignment

    LabelAlignment getLabelAlignment()

  Returns the value of the 'Label Alignment' attribute. The default value is `"Left"`. The literals are from the enumeration `LabelAlignment`.

  If the meaning of the 'Label Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Alignment' attribute.
  See Also:
    `LabelAlignment`, `setLabelAlignment(LabelAlignment)`, `VViewPackage.getControl_LabelAlignment()`

### setLabelAlignment

    void setLabelAlignment(LabelAlignment value)

  Sets the value of the '`Label Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Label Alignment' attribute.
  See Also:
    `LabelAlignment`, `getLabelAlignment()`

### setDomainModelReference

    void setDomainModelReference(org.eclipse.emf.ecore.EStructuralFeature feature)

  Sets the `VDomainModelReference` based on the provided `EStructuralFeature`. Thus a `VFeaturePathDomainModelReference` is created.

  Parameters:
    `feature` - the `EStructuralFeature` to create the `VDomainModelReference` for

### setDomainModelReference

    void setDomainModelReference(org.eclipse.emf.ecore.EStructuralFeature feature,
                                 Collection<org.eclipse.emf.ecore.EReference> referencePath)

  Sets the `VDomainModelReference` based on the provided `EStructuralFeature` and the collection of `EReferences`. Thus a `VFeaturePathDomainModelReference` is created.

  Parameters:
    `feature` - the `EStructuralFeature` to create the `VDomainModelReference` for
    `referencePath` - the `Collection` of `EReferences` being the reference path

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.